Subject: Rebase v. merge (Was: Re: linux-next: manual merge of the xfs tree with the vfs tree)

From: Stephen Rothwell <[email-masked]>
Date: Tue, 16 Feb 2010 10:16:26 +1100

Hi Al,

On Mon, 15 Feb 2010 03:44:17 +0000 Al Viro <[email-masked]> wrote:
>
> Actually, I'd cheerfully rebased that sucker (to e.g. write_inode2); it has
> grown a trivial conflict with mainline after one of gfs2 merges and it's
> annoying to fix it up after each for-next rebase.
> 
> So I'd rather put a rebased variant and switched the for-next to using that,
> if people who'd pulled it already are OK with that.

Just out of interest, is there some reason you didn't just merge Linus'
tree (or the subset that caused the conflict) into the write-inode
branch.  That would have meant that you still had a nonrebasing branch
that others could use.  Now anyone who has merged your write_inode branch
needs to rebuild their trees using you new write-rebase2 branch or risk
causing conflicts in linux-next or Linus' tree when their tree's are
merged.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/